Bug 1472462 - [abrt] ibus: _sighandler(): ibus-x11 killed by signal 11
[abrt] ibus: _sighandler(): ibus-x11 killed by signal 11
Status: NEW
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1fb6e3f772723e2af75818a6401...
:
: 1472977 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 15:43 EDT by Joachim Frieben
Modified: 2017-07-20 04:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.75 KB, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: cgroup (195 bytes, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: core_backtrace (13.62 KB, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: cpuinfo (838 bytes, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: dso_list (9.54 KB, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: environ (1.58 KB, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: maps (43.76 KB, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: open_fds (825 bytes, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-18 15:43 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2017-07-18 15:43:25 EDT
Version-Release number of selected component:
ibus-1.5.16-3.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-x11 --kill-daemon
crash_function: _sighandler
executable:     /usr/libexec/ibus-x11
journald_cursor: s=8e5363300b49437eb544c83cfc96b147;i=3dc12;b=316fea74f0934d70846642138ecfca2f;m=12eb301ac;t=5549860593af9;x=75d79439fd06b727
kernel:         4.11.10-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 1 Joachim Frieben 2017-07-18 15:43:33 EDT
Created attachment 1300661 [details]
File: backtrace
Comment 2 Joachim Frieben 2017-07-18 15:43:34 EDT
Created attachment 1300662 [details]
File: cgroup
Comment 3 Joachim Frieben 2017-07-18 15:43:37 EDT
Created attachment 1300663 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2017-07-18 15:43:38 EDT
Created attachment 1300664 [details]
File: cpuinfo
Comment 5 Joachim Frieben 2017-07-18 15:43:40 EDT
Created attachment 1300665 [details]
File: dso_list
Comment 6 Joachim Frieben 2017-07-18 15:43:41 EDT
Created attachment 1300666 [details]
File: environ
Comment 7 Joachim Frieben 2017-07-18 15:43:42 EDT
Created attachment 1300667 [details]
File: exploitable
Comment 8 Joachim Frieben 2017-07-18 15:43:44 EDT
Created attachment 1300668 [details]
File: limits
Comment 9 Joachim Frieben 2017-07-18 15:43:47 EDT
Created attachment 1300669 [details]
File: maps
Comment 10 Joachim Frieben 2017-07-18 15:43:48 EDT
Created attachment 1300670 [details]
File: open_fds
Comment 11 Joachim Frieben 2017-07-18 15:43:49 EDT
Created attachment 1300671 [details]
File: proc_pid_status
Comment 12 Joachim Frieben 2017-07-18 15:43:51 EDT
Created attachment 1300672 [details]
File: var_log_messages
Comment 13 Paul Eggert 2017-07-19 13:32:54 EDT
*** Bug 1472977 has been marked as a duplicate of this bug. ***
Comment 14 fujiwara 2017-07-19 22:32:51 EDT
I cannot reproduce your backtrace.
Are you still able to reproduce your backtrace?

Your ibus-x11 failed in calling exit(EXIT_FAILURE).
Googling that failure of __run_exit_handlers(), seems a buffer overflow might happen so the backtrace itself does not help to resolve your problem and need to know the reproducing steps exactly to reproduce your problem.


(In reply to Joachim Frieben from comment #1)
> Created attachment 1300661 [details]
> File: backtrace

#0  __run_exit_handlers (status=1, listp=0x7f0c1494d5b8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true, run_dtors=run_dtors@entry=true) at exit.c:55
#1  0x00007f0c145bcc8a in __GI_exit (status=<optimized out>) at exit.c:105
#2  0x000055c6c23cad2e in _sighandler (sig=<optimized out>) at main.c:1108
#3  <signal handler called>
#4  0x00007f0c14686a9d in poll () at ../sysdeps/unix/syscall-template.S:84
#5  0x00007f0c14bbc569 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f0bf80010c0, timeout=<optimized out>, context=0x55c6c37e1110) at gmain.c:4271
#6  g_main_context_iterate (context=0x55c6c37e1110, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3967
#7  0x00007f0c14bbc902 in g_main_loop_run (loop=0x55c6c37e2ab0) at gmain.c:4168
#8  0x00007f0c151a1cb6 in gdbus_shared_thread_func (user_data=0x55c6c37e10e0) at gdbusprivate.c:252
#9  0x00007f0c14be3536 in g_thread_proxy (data=0x55c6c372d000) at gthread.c:784
#10 0x00007f0c1495a36d in start_thread (arg=0x7f0bfe139700) at #11 0x00007f0c14692b8f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97
Comment 15 Joachim Frieben 2017-07-20 02:14:50 EDT
(In reply to fujiwara from comment #14)
I posted the backtrace after noticing the corresponding alert in the "Problem Reporting" utility. I have no memory of the precise circumstances of this crash. Nevertheless, the issue is current and real.
Comment 16 fujiwara 2017-07-20 02:17:00 EDT
So are you still reproduce your backtrace?
Comment 17 Joachim Frieben 2017-07-20 03:37:23 EDT
(In reply to fujiwara from comment #16)
I do not know the precise circumstances which triggered this crash so I am unable to reproduce it deliberately.
Comment 18 fujiwara 2017-07-20 04:24:33 EDT
How many times can you reproduce your backtrace per day?
I mean if you can reproduce your problem frequently, I will ask some debug tests to try to get the root cause. But if you cannot, I have no way to investigate your problem and also think this is not so important issue.
Comment 19 Joachim Frieben 2017-07-20 04:41:24 EDT
(In reply to fujiwara from comment #18)
This crash occurred only two days ago, and I have not seen it again yet. I would therefore say: "wait and see". If it was a random crash, this bug report will be closed anyway when Fedora 26 reaches end of life, thanks.

Note You need to log in before you can comment on or make changes to this bug.